# alerts — NCM API

Notifications about the health and status of your account and devices, from WAN status changes to connectivity events. Read-only, a single list call. These are the alerts NCM raised from your configured alert rules; router alerts holds the ones the device itself generated.

Base URL: https://www.cradlepointecm.com/api/v2

### GET /alerts/

Get information about alerts

<p>This method gives alert information with associated id.</p>

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| account | query | in: int<br />out: url | no | Account this alert is related to, or null if the router field has a value |
| created_at | query | timestamp | no | Time the alert record was created in NCM |
| created_at_timeuuid | query | timeuuid | no | A unique ID associated with the created_at timestamp. Ordering by the ID is equivalent to time ordering. This field can identify a specific record or be used for paging. |
| detected_at | query | timestamp | no | Time the alert was detected |
| friendly_info | query | string | no | Human-readable description of the alert |
| router | query | in: int<br />out: url | no | Device this alert is related to, or null if the account field has a value |
| type | query | string | no | Specifies the type of the alert |
| limit | query | integer | no | Restricts the number of records returned in a recordset to this value. Max value is 500. |
| offset | query | integer | no | Specifies where (an index) in a recordset to begin returning records. |

**Request body**

**Example request**

```bash
curl "https://www.cradlepointecm.com/api/v2/alerts/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Response 200** — Example response.

```json
{
  "data": [
    {
      "account": null,
      "created_at": "2020-12-04T09:20:30.538148+00:00",
      "created_at_timeuuid": "f4442066-3611-11eb-bd86-5ebca3547463",
      "detected_at": "2020-12-04T09:16:16+00:00",
      "friendly_info": "The ethernet port \"Ethernet\" has connected to the network.",
      "info": {
        "alert_type": "ethernet_wan_connected",
        "history": [],
        "info": {
          "mac": "00:30:44:47:cb:09",
          "port": "Ethernet",
          "raw_port": "eth0",
          "reason": "Manual",
          "type": "ethernet",
          "uid": "wan"
        },
        "status": "connected",
        "time": [
          "2020-12-04 09:16:16",
          "UTC"
        ],
        "type": "wan_status_change"
      },
      "router": "https://www.cradlepointecm.com/api/v2/routers/2162719/",
      "type": "ethernet_wan_connected"
    },
    {
      "account": null,
      "created_at": "2020-11-29T13:08:21.165839+00:00",
      "created_at_timeuuid": "f4879e94-3243-11eb-a03e-522895cf33a7",
      "detected_at": "2020-11-29T13:06:11+00:00",
      "friendly_info": "The ethernet port \"Ethernet\" has connected to the network.",
      "info": {
        "alert_type": "ethernet_wan_connected",
        "history": [],
        "info": {
          "mac": "00:30:44:47:cb:09",
          "port": "Ethernet",
          "raw_port": "eth0",
          "reason": "Manual",
          "type": "ethernet",
          "uid": "wan"
        },
        "status": "connected",
        "time": [
          "2020-11-29 13:06:11",
          "UTC"
        ],
        "type": "wan_status_change"
      },
      "router": "https://www.cradlepointecm.com/api/v2/routers/2162719/",
      "type": "ethernet_wan_connected"
    },
    {
      "account": null,
      "created_at": "2020-11-29T13:08:21.105197+00:00",
      "created_at_timeuuid": "f47e5dc2-3243-11eb-b40d-522895cf33a7",
      "detected_at": "2020-11-29T13:04:56+00:00",
      "friendly_info": "The ethernet port \"Ethernet\" has connected to the network.",
      "info": {
        "alert_type": "ethernet_wan_connected",
        "history": [],
        "info": {
          "mac": "00:30:44:47:cb:09",
          "port": "Ethernet",
          "raw_port": "eth0",
          "reason": "Manual",
          "type": "ethernet",
          "uid": "wan"
        },
        "status": "connected",
        "time": [
          "2020-11-29 13:04:56",
          "UTC"
        ],
        "type": "wan_status_change"
      },
      "router": "https://www.cradlepointecm.com/api/v2/routers/2162719/",
      "type": "ethernet_wan_connected"
    }
  ],
  "meta": {
    "limit": 20,
    "next": null
  }
}
```
